# Schemas package initialization
from __future__ import annotations

from app.schemas.achievement import (
    Achievement,
    AchievementCreate,
    AchievementUpdate,
    UserAchievement,
    UserAchievementCreate,
)
from app.schemas.content import (
    Answer,
    AnswerCreate,
    AnswerUpdate,
    Lesson,
    LessonCreate,
    LessonUpdate,
    Question,
    QuestionCreate,
    QuestionUpdate,
    Quiz,
    QuizCreate,
    QuizUpdate,
    Subject,
    SubjectCreate,
    SubjectUpdate,
)
from app.schemas.progress import (
    UserAnswer,
    UserAnswerCreate,
    UserAnswerUpdate,
    UserProgress,
    UserProgressCreate,
    UserProgressUpdate,
)
from app.schemas.token import Token, TokenPayload
from app.schemas.user import User, UserCreate, UserInDB, UserUpdate
